DMARC Reports
Get DMARC Report Status
email_auth.dmarc_reports.get(DMARCReportGetParams**kwargs) -> DMARCReportGetResponse
GET/zones/{zone_id}/email/auth/dmarc-reports
Configure DMARC Reports
email_auth.dmarc_reports.edit(DMARCReportEditParams**kwargs) -> DMARCReportEditResponse
PATCH/zones/{zone_id}/email/auth/dmarc-reports
ModelsExpand Collapse
class DMARCReportGetResponse: …Response for GET/PATCH /dmarc-reports
class DMARCReportGetResponse: …
Response for GET/PATCH /dmarc-reports
approved_sources: Optional[List[ApprovedSource]]List of approved sending sources (omitted when empty)
approved_sources: Optional[List[ApprovedSource]]
List of approved sending sources (omitted when empty)
records: Optional[Records]Live DNS records for the zone, grouped by type
records: Optional[Records]
Live DNS records for the zone, grouped by type
class DMARCReportEditResponse: …Response for GET/PATCH /dmarc-reports
class DMARCReportEditResponse: …
Response for GET/PATCH /dmarc-reports
approved_sources: Optional[List[ApprovedSource]]List of approved sending sources (omitted when empty)
approved_sources: Optional[List[ApprovedSource]]
List of approved sending sources (omitted when empty)
records: Optional[Records]Live DNS records for the zone, grouped by type
records: Optional[Records]
Live DNS records for the zone, grouped by type